apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  name: vm1
  namespace: cnv53145
  labels:
    kubevirt.io/vm: vm1
spec:
  dataVolumeTemplates:
  - metadata:
      name: alpine-dv
    spec:
      storage:
        resources:
          requests:
            storage: 4Gi
        storageClassName: rook-ceph-block
      source:
        registry:
          url: docker://registry:5000/kubevirt/alpine-container-disk-demo:devel
  runStrategy: Always
  template:
    metadata:
      labels:
        kubevirt.io/vm: vm1
    spec:
      networks:
      - name: default
        pod: {}
      domain:
        ioThreadsPolicy: auto
        devices:
          disks:
          - disk:
              bus: virtio
            name: datavolumedisk1
          - disk:
              bus: virtio
            shareable: true
            name: shared-pvc
          interfaces:
          - masquerade: {}
            name: default
        resources:
          requests:
            memory: 1024Mi
      terminationGracePeriodSeconds: 0
      volumes:
      - dataVolume:
          name: alpine-dv
        name: datavolumedisk1
      - name: shared-pvc
        persistentVolumeClaim:
          claimName: shared-pvc
